Name:           aws-c-sdkutils
Version:        0.1.12
Release:        1%{?dist}
Summary:        AWS SDK specific utilities

License:        Apache-2.0
URL:            https://github.com/awslabs/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:          fix-cmake-path.patch

BuildRequires:  aws-c-common-devel
BuildRequires:  cmake
BuildRequires:  gcc

%description
C99 library implementing AWS SDK specific utilities. Includes
utilities for ARN parsing, reading AWS profiles, etc...

%package devel
Summary:        aws-c-sdkutils development headers
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files and libraries for aws-c-sdkutils

%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%license NOTICE
%doc README.md
%{_libdir}/libaws-c-sdkutils.so.1.0.0

%files devel
%dir %{_includedir}/aws
%dir %{_includedir}/aws/sdkutils
%{_includedir}/aws/sdkutils/*.h
%dir %{_libdir}/cmake/aws-c-sdkutils
%{_libdir}/cmake/aws-c-sdkutils/*.cmake
%dir %{_libdir}/cmake/aws-c-sdkutils/shared
%{_libdir}/cmake/aws-c-sdkutils/shared/*.cmake
%{_libdir}/libaws-c-sdkutils.so

%changelog
* Tue Sep 26 2023 Benson Muite <benson_muite@emailplus.org> - 0.1.12-1
- Initial import
